@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,400;1,400;1,600&display=swap');

body{
    margin: 0px;
    padding: 20px 0px 0px 0px;
    font-family: 'Roboto', sans-serif;
    background-color: #EEEEEE;
}

main {
    padding: 48px 16px 16px 16px;
}

img {
    object-fit: cover;
    height: 200px;
    width: 200px;
    padding: 0px 20px 0px 5px;
}

h1 {
    color:#732002;
    margin-top: 75px;
    /* text-shadow:1px 1px 0px #005C53; */
}

h2 {
    color: rgb(50, 62, 64, 0.8);
    /* text-shadow: 0.25px 0.25px 0px #042940; */
    font-family: 'Nunito', sans-serif;
    font-style: italic;
}

h3 {
    color: #323E40;
    /* text-shadow: 0.25px 0.25px 0px #042940; */
    font-family: 'Nunito', sans-serif;
    font-style: italic;
}

ol {
    padding-bottom: 24px;
}

p {
    /* color: #323E40; */
    color: white;
}

footer {
    padding: 10px 24px;
    position: fixed;
    bottom: 0%;
    width: 100%;
    background-color:#323E40;
    font-size: 16x;
    color:white;
}

nav {
    border-bottom: #042940 solid 1px;
    padding: 16px;
    margin: 0px;
    background-color: #323E40;
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
}

nav ul {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}

td {
    color:  #042940;
}

li {
    color: #042940;
}

tr:nth-child(even) {
    background-color: #D6D58E;
}
a {
    text-decoration: none;
    color: #005C53;
}

a:hover {
    color: green;
}

.table-head {
    font-weight: bolder;
    text-decoration: underline;
    text-shadow: 0.25px 0.25px 0px #042940;
}

.nav-bar {
    color: white;
    padding: 0px 0px 0px 30px;
}

.nav-bar-items li {
    width: 50%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    white-space: nowrap;
}

.recipe-card {
    width: 250px;
    max-width: 250px;
    box-shadow: 0px 2px 4px 2px rgb(4, 41, 64, 0.2);
    margin: 15px 15px 15px 5px;
    padding: 0px 0px 10px 5px;
    background-color: #D9501E;
}

.recipe-card-background {
    width: 250px;
    max-width: 250px;
    box-shadow: 0px 2px 4px 2px rgb(4, 41, 64, 0.2);
    margin: 15px 15px 15px 5px;
    padding: 0px 0px 10px 5px;
    background-color: #D98014;;
}

/* .recipe-card-img {

} */

#recipe-card-page {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

/* Color Theme Swatches in Hex */
.Flavour-1-hex { color: #323E40; }
.Flavour-2-hex { color: #F2A922; }
.Flavour-3-hex { color: #D98014; }
.Flavour-4-hex { color: #732002; }
.Flavour-5-hex { color: #D9501E; }

/* Color Theme Swatches in RGBA */
.Flavour-1-rgba { color: rgba(49, 62, 63, 1); }
.Flavour-2-rgba { color: rgba(242, 169, 33, 1); }
.Flavour-3-rgba { color: rgba(216, 127, 19, 1); }
.Flavour-4-rgba { color: rgba(114, 32, 2, 1); }
.Flavour-5-rgba { color: rgba(216, 80, 30, 1); }

/* Color Theme Swatches in HSLA */
.Flavour-1-hsla { color: hsla(185, 12, 22, 1); }
.Flavour-2-hsla { color: hsla(39, 89, 54, 1); }
.Flavour-3-hsla { color: hsla(33, 83, 46, 1); }
.Flavour-4-hsla { color: hsla(16, 96, 22, 1); }
.Flavour-5-hsla { color: hsla(16, 75, 48, 1); }
